Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ca.bc.webarts
Class jOggPlayer.PlayList

    java.lang.Object
      |
      +--ca.bc.webarts.jOggPlayer.PlayList

Enclosing class:
  jOggPlayer

class jOggPlayer.PlayList
extends java.lang.Object

A simple class to encapsulate the storage of references to Ogg files in a Playlist style.

Field Summary
`private java.util.Vector` | `songs` This is the meat of the class; it holds OggFileRef objects.

Constructor Summary
`(package private)` | `jOggPlayer.PlayList()` basic constructor to initialize things.
`(package private)` | `jOggPlayer.PlayList(java.net.URL[] urls)` Constructor to get things init and load up an initial list of URLs

Method Summary
`protected java.lang.String` | `addSong(java.net.URL url)`
`protected boolean` | `contains(java.lang.String songName)`
`private int` | `findSong(java.lang.String songName)`
`protected java.lang.String[]` | `getSongNames()`
`protected java.util.Vector` | `getSongNamesVector()`
`protected java.net.URL[]` | `getSongUrls()`
`protected java.net.URL` | `getURL(java.lang.String songName)`
`protected boolean` | `isEmpty()`
`protected boolean` | `removeSong(java.lang.String songName)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### songs

    private java.util.Vector songs

  This is the meat of the class; it holds OggFileRef objects.

Constructor Detail

### jOggPlayer.PlayList

    jOggPlayer.PlayList()

  basic constructor to initialize things.

### jOggPlayer.PlayList

    jOggPlayer.PlayList(java.net.URL[] urls)

  Constructor to get things init and load up an initial list of URLs

Method Detail

### getSongNamesVector

    protected java.util.Vector getSongNamesVector()

### getSongNames

    protected java.lang.String[] getSongNames()

### getSongUrls

    protected java.net.URL[] getSongUrls()

### getURL

    protected java.net.URL getURL(java.lang.String songName)

### findSong

    private int findSong(java.lang.String songName)

### contains

    protected boolean contains(java.lang.String songName)

### isEmpty

    protected boolean isEmpty()

### addSong

    protected java.lang.String addSong(java.net.URL url)

### removeSong

    protected boolean removeSong(java.lang.String songName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD